Subject: bug#34145: 27.0.50; Writing .authinfo needs better confirmation

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 11 Oct 2019 09:37:50 +0200

Michael Albinus <[email-masked]> writes:

>> It's a multiple-choice thing:
>>
>>                        (concat "(y)es, save\n"
>>                                "(n)o but use the info\n"
>>                                "(N)o and don't ask to save again\n"
>>                                "(e)dit the line\n"
>>                                "(?) for help as you can see.\n"))
>>
>> So I don't think a yes-or-no-p-like action here is practical.
>>
>> Anybody got an opinion?
>
> Honestly, I'm undecided. The major idea of this request was to make it
> harder to save a password string somewhere. Just a single ky is too easy.
>
> To my taste, yes/no is sufficient. This choice does not need to ask,
> whether the entered password shall be applied. It is obvious that it should.

The password is always applied (i.e., used), but it can be saved, not
saved and don't ask again.  And in addition you can edit the .authinfo
line.  So I don't see yes-or-no-p working here.

It could add another "really save?" after you've answered "y", though,
but I think that sounds kinda obnoxious.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no